// PPLightManager.h: interface for the CPPLightManager class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_PPLIGHTMANAGER_H__EC0D0461_AEEB_11D3_8B36_00902712C9AE__INCLUDED_)
#define AFX_PPLIGHTMANAGER_H__EC0D0461_AEEB_11D3_8B36_00902712C9AE__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
#include <GosFx\GosFx.hpp>

class CPPLightManager : public gosFX::LightManager  
{
public:
	CPPLightManager();
	virtual ~CPPLightManager();
	gosFX::Light *MakePointLight(const char* light_map=NULL,bool light_vertex=true);
		void ChangeLight(gosFX::Light *light,Info *info);
		void DeleteLight(gosFX::Light *light);
};

#endif // !defined(AFX_PPLIGHTMANAGER_H__EC0D0461_AEEB_11D3_8B36_00902712C9AE__INCLUDED_)
